package com.gic.auth.service;

import com.gic.auth.dto.UserDataShowSaveDTO;

/**
 * 管理员数据
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/7 2:17 PM 
 */
public interface UserDataShowService {
    /**
     * 新增
     * @param data
     */
    void saveUserData(UserDataShowSaveDTO data);

    /**
     * 编辑名称
     * @param userDataBusinessId
     * @param userDataBusinessName
     * @param userDataSceneType 业务方 枚举 ManagerDataEnum
     */
    void editUserDataBusinessName(String userDataBusinessId, String userDataBusinessName, Integer userDataSceneType);

    /**
     * 删除
     * @param userDataBusinessId
     * @param userDataSceneType 业务方 枚举 ManagerDataEnum
     */
    void deleteUserData(String userDataBusinessId, Integer userDataSceneType);
}
